package com.glxp.mipsdl.client.axxyy;


import cn.hutool.json.JSON;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.google.gson.Gson;
import lombok.Data;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @author : zhuzhu
 * @date : 2025/2/28 9:35
 * @modyified By :
 */

@Data
@XmlAccessorType(XmlAccessType.FIELD)
public class DataVo<T>{

    private Integer code;
    private List<List> data; // 泛型 List

    public List<T> getList(Class<T> clazz){
        List<T> list = new ArrayList<>();
        List<Object> jsonArray = data.get(0);
        System.out.println(jsonArray.get(0).toString().replace("lists=",""));
        String str = jsonArray.get(0).toString().replace("lists=","");
        if (JSONUtil.isJsonObj(str)) {
            System.out.println("解析为 JSON 对象：");
            JSONObject jsonObject = JSONUtil.parseObj(str);
            T dataVo = JSONUtil.toBean(jsonObject, clazz);
            list.add(dataVo);
        }else if(JSONUtil.isJsonArray(str)){
            JSONArray array = JSONUtil.parseArray(str);
            // 遍历 JSON 数组并转换为指定类型
            for (Object obj : array) {
                System.out.println(obj.toString());
                T dataVo = JSONUtil.toBean(obj.toString(), clazz);
                list.add(dataVo);
            }
        }else {
            throw  new RuntimeException("未知的 JSON 格式");
        }
        return list;
    }





}
